# Datasets

> Standard library datasets.

<section class="usage">

## Usage

```javascript
var datasets = require( '@stdlib/datasets' );
```

#### datasets( name\[, options] )

Returns standard library datasets.

```javascript
var data = datasets( 'MONTH_NAMES_EN' );
/* returns
    [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ]
*/
```

The function forwards provided `options` to the dataset interface specified by `name`. 

```javascript
var opts = {
    'data': 'cities'
};

var data = datasets( 'MINARD_NAPOLEONS_MARCH', opts );
/* returns
    [
        {'lon': 24,'lat': 55,'city': 'Kowno',
        {'lon': 25.3,'lat': 54.7,'city': 'Wilna',
        {'lon': 26.4,'lat': 54.4,'city': 'Smorgoni',
        {'lon': 26.8,'lat': 54.3,'city': 'Molodexno',
        {'lon': 27.7,'lat': 55.2,'city': 'Gloubokoe',
        {'lon': 27.6,'lat': 53.9,'city': 'Minsk',
        {'lon': 28.5,'lat': 54.3,'city': 'Studienska',
        {'lon': 28.7,'lat': 55.5,'city': 'Polotzk',
        {'lon': 29.2,'lat': 54.4,'city': 'Bobr',
        {'lon': 30.2,'lat': 55.3,'city': 'Witebsk',
        {'lon': 30.4,'lat': 54.5,'city': 'Orscha',
        {'lon': 30.4,'lat': 53.9,'city': 'Mohilow',
        {'lon': 32,'lat': 54.8,'city': 'Smolensk',
        {'lon': 33.2,'lat': 54.9,'city': 'Dorogobouge',
        {'lon': 34.3,'lat': 55.2,'city': 'Wixma',
        {'lon': 34.4,'lat': 55.5,'city': 'Chjat',
        {'lon': 36,'lat': 55.5,'city': 'Mojaisk',
        {'lon': 37.6,'lat': 55.8,'city': 'Moscou',
        {'lon': 36.6,'lat': 55.3,'city': 'Tarantino',
        {'lon': 36.5,'lat': 55,'city': 'Malo-Jarosewli'
    ]
*/
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better examples -->

<!-- eslint no-undef: "error" -->

```javascript
var datasets = require( '@stdlib/datasets' );

var data = datasets( 'MONTH_NAMES_EN' );
console.log( data );
```

</section>

<!-- /.examples -->

* * *

<section class="cli">

## CLI

<section class="usage">

### Usage

```text
Usage: datasets [options] [--name=<name>]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
         --name name           Dataset name.
         --ls                  List datasets.
```

</section>

<!-- /.usage -->

<section class="notes">

### Notes

-   Dataset specific options should follow two hyphen characters `--` in order to indicate that those options should not be parsed as normal command-line options.

</section>

<!-- /.notes -->

<section class="examples">

### Examples

```bash
$ datasets --name MONTH_NAMES_EN
January
February
March
...
```

Use two hyphen characters `--` to delineate dataset specific options.

```bash
$ datasets --name MINARD_NAPOLEONS_MARCH -- --data army
lon,lat,size,direction,division
24.0,54.9,340000,A,1
24.5,55.0,340000,A,1
25.5,54.5,340000,A,1
...
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->

<section class="links">

</section>

<!-- /.links -->
